plugin_can_chain< TDataFilterPlugin< D > > Struct Template Reference

`#include <mia/core/filter.hh>`

Inheritance diagram for plugin_can_chain< TDataFilterPlugin< D > >:
[legend]
Collaboration diagram for plugin_can_chain< TDataFilterPlugin< D > >:
[legend]

## Public Types

typedef TDataFilterChained< D > | Chained

## Static Public Attributes

static constexpr bool | value = true

## Detailed Description

template<typename D>
struct plugin_can_chain< TDataFilterPlugin< D > >

Definition at line 196 of file core/filter.hh.

## Member Typedef Documentation

## Chained

template<typename D>

typedef TDataFilterChained<D> plugin_can_chain< TDataFilterPlugin< D > >::Chained

Definition at line 198 of file core/filter.hh.

## Field Documentation

## value

template<typename D>

bool plugin_can_chain< TDataFilterPlugin< D > >::value = true

static constexpr

Definition at line 197 of file core/filter.hh.

The documentation for this struct was generated from the following file:

- core/filter.hh